## org.apache.solr.common.params
Interface AnalysisParams

    public interface AnalysisParams

Defines the request parameters used by all analysis request handlers.

Since:
  solr 1.4

Field Summary
`static String` `FIELD_NAME` Holds the value of the field which should be analyzed.
`static String` `FIELD_TYPE` Holds a comma-separated list of field types that the analysis should be peformed for.
`static String` `FIELD_VALUE` Hodls a comma-separated list of field named that the analysis should be performed for.
`static String` `PREFIX` The prefix for all parameters.
`static String` `QUERY` Holds the query to be analyzed.
`static String` `SHOW_MATCH` Set to `true` to indicate that the index tokens that match query tokens should be marked as "mateched".

Field Detail

### PREFIX

    static final String PREFIX

  The prefix for all parameters.

  See Also:
    Constant Field Values

### QUERY

    static final String QUERY

  Holds the query to be analyzed.

  See Also:
    Constant Field Values

### SHOW_MATCH

    static final String SHOW_MATCH

  Set to `true` to indicate that the index tokens that match query tokens should be marked as "mateched".

  See Also:
    Constant Field Values

### FIELD_NAME

    static final String FIELD_NAME

  Holds the value of the field which should be analyzed.

  See Also:
    Constant Field Values

### FIELD_TYPE

    static final String FIELD_TYPE

  Holds a comma-separated list of field types that the analysis should be peformed for.

  See Also:
    Constant Field Values

### FIELD_VALUE

    static final String FIELD_VALUE

  Hodls a comma-separated list of field named that the analysis should be performed for.

  See Also:
    Constant Field Values

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.